package com.ningdatech.pmapi.cpu;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class CPUTest {
    public static ExecutorService executorService = Executors.newFixedThreadPool(10);

    public static volatile boolean flag = true;

    public static void main(String[] args) {
        for(int i = 0;i < 10;i++){
            executorService.execute(() -> {
                while (flag) {
                    // 一个复杂的计算任务
                    long x = 123456789123456789L;
                    for (int j = 0; j < 10000; j++) {
                        if(!flag){
                            break;
                        }
                        x = (x * 123456789123456789L) % 123456789;
                    }
                }
            });
        }

        try{
            Thread.sleep(10000);
            executorService.shutdownNow();
            flag = false;
        }catch (Exception e){
            e.printStackTrace();
        }
    }
} 